JxtaTransportServerChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.jxta.JxtaTransportServerChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.jxta
Class JxtaTransportServerChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport
          org.codehaus.activemq.transport.tcp.TcpTransportServerChannel
              org.codehaus.activemq.transport.jxta.JxtaTransportServerChannel

All Implemented Interfaces:
  Runnable, Service, TransportServerChannel

public class JxtaTransportServerChannel
extends TcpTransportServerChannel

Binds to a well known port and listens for Sockets ...

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.tcp.TcpTransportServerChannel
`DEFAULT_BACKLOG`

Constructor Summary
`JxtaTransportServerChannel(WireFormat wireFormat, URI bindAddr)` Default Constructor

Method Summary
`protected ServerSocket` | `createServerSocket(URI bind)` Factory method to create a new ServerSocket
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.tcp.TcpTransportServerChannel
`getBacklog, getMaxOutstandingMessages, isUseAsyncSend, run, setBacklog, setMaxOutstandingMessages, setUseAsyncSend, start, stop, updatePhysicalUri`

Methods inherited from class org.codehaus.activemq.transport.TransportServerChannelSupport
`addClient, getTransportChannelListener, getUrl, setTransportChannelListener, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JxtaTransportServerChannel

    public JxtaTransportServerChannel(WireFormat wireFormat,
                                      URI bindAddr)
                               throws JMSException

  Default Constructor

Parameters:
  `bindAddr` -
Throws:
  `JMSException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `TcpTransportServerChannel`
  Returns:
    pretty print of this

### createServerSocket

    protected ServerSocket createServerSocket(URI bind)
                                       throws UnknownHostException,
                                              IOException

  Description copied from class: `TcpTransportServerChannel`
  Factory method to create a new ServerSocket

  Overrides:
    `createServerSocket` in class `TcpTransportServerChannel`
  Throws:
    `UnknownHostException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.